PHP ��U
前一頁 |  | 下一頁

# ZipArchive::statName

(no version information, might be only in CVS)

ZipArchive::statName -- Get the details of an entry defined by its name.

## Description

mixed ZipArchive::statName ( name name [, int flags] )

The function obtains information about the entry defined by its name.

## Parameters

name

  Name of the entry

flags

  The flags argument specifies how the name lookup should be done. Also, `ZIPARCHIVE::FL_UNCHANGED` may be ORed to it to request information about the original file in the archive, ignoring any changes made.

  - `ZIPARCHIVE::FL_NOCASE`

  - `ZIPARCHIVE::FL_NODIR`

  - `ZIPARCHIVE::FL_UNCHANGED`

## Return Values

Returns an array containing the entry details or `FALSE` on failure.

## �d��

範例 1. Dump the stat info of an entry

`<?php $zip = new ZipArchive; $res = $zip->open('test.zip') if ($res === TRUE) { print_r($zip->statName('foobar/baz')); $zip->close(); } else { echo 'failed, code:' . $res; } ?>`

The above example will output something similar to:

    Array
    (
        [name] => foobar/baz
        [index] => 3
        [crc] => 499465816
        [size] => 27
        [mtime] => 1123164748
        [comp_size] => 24
        [comp_method] => 8
    )

前一頁 | 內容 | 下一頁
ZipArchive::statIndex | 上一層 | ZipArchive::unchangeAll